%define _disable_ld_no_undefined 1
%define	major 2
%define libname	%mklibname gg %{major}

Summary:	GNU Gadu 2 free talking
Name:		gg2
Version:	2.3.0
Release:	%mkrel 13
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.gnugadu.org/
Source0:	http://dl.sourceforge.net/ggadu/%{name}-%{version}.tar.bz2
Patch0:		%{name}-menu-entry.patch
Patch1:		gg2-2.3.0-fix-format-strings.patch
BuildRequires:	libarts-devel
BuildRequires:	arts3-devel
BuildRequires:	libaspell-devel
BuildRequires:	libdbus-glib-devel 	>= 0.72
BuildRequires:	libesound-devel 	>= 0.2.36
BuildRequires:	gettext-devel 		>= 0.14.6
BuildRequires:	libglib2-devel 		>= 2.12.4
BuildRequires:	libgtk+2-devel 		>= 2.4.0
BuildRequires:	libgtkspell-devel
BuildRequires:	libtlen-devel
BuildRequires:	libexpat-devel
BuildRequires:	loudmouth-devel 	>= 1.0.5
BuildRequires:	libgnutls-devel 	>= 1.4.5
BuildRequires:	libxscrnsaver-devel
BuildRequires:	libxosd-devel 		>= 2.2.14
BuildRequires:	perl-devel		>= 5.8.8-9
BuildRequires:	libgadu-devel
BuildRequires:	bison
%ifarch x86_64
BuildRequires:	chrpath
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GNU Gadu provides support for gadu-gadu, tlen.pl and jabber.

%package -n %{libname}
Summary:	GNU Gadu shared library
Group:		System/Libraries

%description -n %{libname}
Main library for GNU Gadu.

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.%{major}*

%package -n %{libname}-devel
Summary:	Header files for GNU Gadu
Group:		System/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n %{libname}-devel
This package contains header files for GNU Gadu.

%files -n %{libname}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/libgg2_core.la
%{_includedir}/gg2_core.h
%{_libdir}/pkgconfig/gg2_core.pc

%prep
%setup -q %{name}-%{version}
%patch0 -p1 -b	.%{name}-menu-entry
%patch1 -p1 -b	.format

%build
export PATH=$PATH:/opt/kde3/bin
%configure2_5x \
	--with-gui \
	--with-gadu \
	--with-external-libgadu \
	--disable-esdtest \
	--with-tlen \
	--with-jabber \
	--with-xosd \
	--disable-rpath \
	--with-sms \
	--with-docklet_system_tray \
	--with-docklet_dockapp \
	--with-esd \
	--with-arts \
	--with-oss \
	--with-external \
	--without-update \
	--with-history-external-viewer \
	--with-aaway \
	--with-ignore \
	--with-gghist \
	--with-gtkspell \
	--with-dbus \
	--with-dbus-dir=%{_datadir}/dbus-1/services/ \
	--with-perl \
	--enable-threads=posix \
	--with-x
	
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -D gg2.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%makeinstall_std
%ifarch x86_64
chrpath -d %{buildroot}%{_libdir}/gg2/*.so
chrpath -d %{buildroot}%{_bindir}/gg*
%endif

%find_lang %{name} --all-name --with-gnome

rm -f %{buildroot}%{_libdir}/%{name}/*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc A* C* R* T* doc/*
%attr(755,root,root) %{_bindir}/gg2
%attr(755,root,root) %{_bindir}/gghist
%dir %{_datadir}/gg2
%dir %{_libdir}/gg2
%{_datadir}/gg2/pixmaps/*.png
%{_datadir}/gg2/pixmaps/*.gif
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gg2/pixmaps/emoticons
%attr(755,root,root) %{_libdir}/gg2/*.so
%{_datadir}/dbus-1/services/org.freedesktop.im.GG.service
%{_datadir}/%{name}/sounds
%dir %{_datadir}/gg2/themes
%{_datadir}/gg2/themes/*.theme
%dir %{_datadir}/gg2/pixmaps/icons
%dir %{_datadir}/gg2/pixmaps/icons/bubble
%dir %{_datadir}/gg2/pixmaps/icons/classic
%dir %{_datadir}/gg2/pixmaps/icons/modern
%dir %{_datadir}/gg2/pixmaps/icons/rozgwiazda
%dir %{_datadir}/gg2/pixmaps/icons/ghosts
%{_datadir}/gg2/pixmaps/icons/bubble/*.png
%{_datadir}/gg2/pixmaps/icons/bubble/README
%{_datadir}/gg2/pixmaps/icons/classic/*.png
%{_datadir}/gg2/pixmaps/icons/classic/README
%{_datadir}/gg2/pixmaps/icons/modern/*.png
%{_datadir}/gg2/pixmaps/icons/modern/README
%{_datadir}/gg2/pixmaps/icons/rozgwiazda/*.png
%{_datadir}/gg2/pixmaps/icons/rozgwiazda/license.txt
%{_datadir}/gg2/pixmaps/icons/ghosts/*.png
%{_datadir}/gg2/pixmaps/icons/ghosts/README


%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.3.0-13mdv2010.0
+ Revision: 435964
- rebuild
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix build with arts now in /opt
    - fix build dependency: arts3-devel is needed for arts support
    - fix format errors
    - drop dependency exception, fix perl package instead

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-9mdv2008.1
+ Revision: 182184
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Funda Wang <fundawang@mandriva.org> 2.3.0-8mdv2008.0
+ Revision: 31896
- Obsoletes original devel package


* Mon Feb 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-7mdv2007.0
+ Revision: 126043
- bump release tag
- remove buggy requires on devel(libperl)
- remove duplicated requires

* Sat Jan 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-6mdv2007.1
+ Revision: 114421
- replace gg2-devel with libgg2-devel
- add missing provides
- add %%post and %%postun for main package

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-5mdv2007.1
+ Revision: 111978
- fix buildrequires
- spec file clean
- bump release tag

* Sat Dec 30 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-4mdv2007.1
+ Revision: 102859
- fix BuildRequires

* Sat Dec 30 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3.0-2mdv2007.1
+ Revision: 102839
- spec file clean
- bump realease tag
- spec file clean
- disable rpath
- some minor spec file tweaks
- Fix xdg menu entry
- fix build requires
- Import gg2

